Method: projects.locations.getSharedRegionalCertificateAuthority

获取 Redis 集群的区域性证书授权机构信息详情。

HTTP 请求

GET https://redis.googleapis.com/v1beta1/{name=projects/*/locations/*/sharedRegionalCertificateAuthority}

网址采用 gRPC 转码语法。

路径参数

参数
name

string

必需。区域证书授权机构资源名称,格式为:projects/{projectId}/locations/{locationId}/sharedRegionalCertificateAuthority,其中 locationId 是指 Google Cloud 区域。

请求正文

请求正文必须为空。

响应正文

共享区域级证书授权机构

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (RegionalManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
字段
name

string

标识符。此范围内资源采用以下形式的非重复名称,包括项目和位置:projects/{project}/locations/{location}/sharedRegionalCertificateAuthority

服务器 CA 信息。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
managedServerCa

object (RegionalManagedCertificateAuthority)

用于 Redis 受管服务器身份验证的 CA 证书链。

互斥字段的结束。

授权范围

需要以下 OAuth 范围之一:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

如需了解详情,请参阅 Authentication Overview。

RegionalManagedCertificateAuthority

用于 Redis 受管服务器身份验证的 CA 证书链。

JSON 表示法
{
  "caCerts": [
    {
      object (RegionalCertChain)
    }
  ]
}
字段
caCerts[]

object (RegionalCertChain)

用于 Redis 受管服务器身份验证的 PEM 编码 CA 证书链

RegionalCertChain

构成 CA 链的证书,从叶到根的顺序。

JSON 表示法
{
  "certificates": [
    string
  ]
}
字段
certificates[]

string

构成 CA 链的证书,从叶到根的顺序。